On this page

## Methods

### (inner) charToBits(char)

Parameters:

Name | Type | Description
--- | --- | ---
`char` |  | An 8 bit char

Source
  - steg.js, line 60

Returns:

Array of 3 parts of char using the bits tempate (3, 2, 3 bits)

### (async, inner) toContext(img)

Parameters:

Name | Type | Description
--- | --- | ---
`img` | Image | Imageable | img: image, canvas, context2d, url, data url

Source
  - steg.js, line 10

Returns:

A Canvas.context object

### (inner) toUint8Array(msg)

Parameters:

Name | Type | Description
--- | --- | ---
`msg` | * | A string, charCode (number), Uint8Array or Uint8ClampedArray

Source
  - steg.js, line 38

Returns:

A Uint8Array or Uint8ClampedArray

Type anything to view search result